- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Mempool_Backend Struct Reference
Memory Pool

## Data Fields
const char * | name
void *(* | init )(const char *context, const char *options, va_list args)
void(* | free )(void *data, void *element)
void *(* | alloc )(void *data, unsigned int size)
void *(* | realloc )(void *data, void *element, unsigned int size)
void(* | garbage_collect )(void *data)
void(* | statistics )(void *data)
void(* | shutdown )(void *data)
void(* | repack )(void *data, Eina_Mempool_Repack_Cb cb, void *cb_data)